# Generated from tmuxinator-3.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tmuxinator

Name: rubygem-%{gem_name}
Version: 3.0.1
Release: 1%{?dist}
Summary: Create and manage complex tmux sessions easily
License: MIT
URL: https://github.com/tmuxinator/tmuxinator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.8.23
BuildRequires: ruby >= 2.6.7
# BuildRequires: rubygem(activesupport) < 5.0.0
# BuildRequires: rubygem(awesome_print) >= 1.2
# BuildRequires: rubygem(awesome_print) < 2
# BuildRequires: rubygem(coveralls) >= 0.8
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(factory_bot) >= 4.8
# BuildRequires: rubygem(factory_bot) < 5
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.48.1
# BuildRequires: rubygem(rubocop) < 0.49
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(unicode-display_width) >= 1.3
# BuildRequires: rubygem(unicode-display_width) < 2
BuildArch: noarch

%description
Create and manage complex tmux sessions easily.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/tmuxinator
%{gem_instdir}/bin
%{gem_instdir}/completion
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Thu Sep 16 2021 mockbuilder - 3.0.1-1
- Initial package
